gbrowse_syn install on ubuntu16.04

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

gbrowse_syn install on ubuntu16.04

kentnf .
Hello, 

I install the latest version of Gbrowse following this document (http://gmod.org/wiki/GBrowse_syn_Tutorial). It works well on Fedora server, but not on ubuntu 16.04 (production server). When I check the apache log file, there are 4 records: 

 gbrowse_syn: Subroutine main::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

DataSource.pm: Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\$ENV{ <-- HERE (\\S+)}/ at /usr/local/lib/x86_64-linux-gnu/perl/5.22.1/Bio/Graphics/Browser2/DataSource.pm line 955, <DATA> line 192.: /var/www/cgi-bin/gb2/gbrowse_syn

Util.pm: Subroutine Legacy::Graphics::Browser::Util::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

Synteny.pm: Subroutine Legacy::Graphics::Browser::Synteny::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

When I install the Gbrowse, I use apt-get at first. Then I noticed the apt-get may not install the last version of Gbrowse. So I install it again follow the  Tutorial (http://gmod.org/wiki/GBrowse_syn_Tutorial). 

How can I set up the gbrowse_syn correctly? Thanks for you help. 



Best,
Yi Zheng
BTI



------------------------------------------------------------------------------

_______________________________________________
Gmod-gbrowse mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-gbrowse
Reply | Threaded
Open this post in threaded view
|

Re: gbrowse_syn install on ubuntu16.04

Scott Cain
Hello Yi Zheng,

I wonder if this is due to different perl versions.  Can you do "perl -v" on each machine and report back the first line of the results (where it gives the version)?

Thanks,
Scott


On Wed, Nov 23, 2016 at 12:01 PM, kentnf . <[hidden email]> wrote:
Hello, 

I install the latest version of Gbrowse following this document (http://gmod.org/wiki/GBrowse_syn_Tutorial). It works well on Fedora server, but not on ubuntu 16.04 (production server). When I check the apache log file, there are 4 records: 

 gbrowse_syn: Subroutine main::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

DataSource.pm: Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\$ENV{ <-- HERE (\\S+)}/ at /usr/local/lib/x86_64-linux-gnu/perl/5.22.1/Bio/Graphics/Browser2/DataSource.pm line 955, <DATA> line 192.: /var/www/cgi-bin/gb2/gbrowse_syn

Util.pm: Subroutine Legacy::Graphics::Browser::Util::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

Synteny.pm: Subroutine Legacy::Graphics::Browser::Synteny::start_html redefined at /usr/share/perl/5.22/Exporter.pm line 66.: /var/www/cgi-bin/gb2/gbrowse_syn

When I install the Gbrowse, I use apt-get at first. Then I noticed the apt-get may not install the last version of Gbrowse. So I install it again follow the  Tutorial (http://gmod.org/wiki/GBrowse_syn_Tutorial). 

How can I set up the gbrowse_syn correctly? Thanks for you help. 



Best,
Yi Zheng
BTI



------------------------------------------------------------------------------

_______________________________________________
Gmod-gbrowse mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-gbrowse




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------

_______________________________________________
Gmod-gbrowse mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-gbrowse